// DiskMarkDlg.h : wb_[ t@C
//

#pragma once


// CDiskMarkDlg _CAO
class CDiskMarkDlg : public CDHtmlDialog
{
// RXgNV
public:
	CDiskMarkDlg(CWnd* pParent = NULL);	// WRXgN^

// _CAO f[^
	enum { IDD = IDD_DISKMARK_DIALOG};
		/*,IDH = IDR_HTML_DISKMARK_DIALOG*/ 

	volatile HANDLE m_hThread;
	volatile BOOL m_DiskBenchStatus; // TRUE = x`
	CString m_DriveValue;

	void InitScore();
	void UpdateScore();

	double m_SequentialReadScore;
	double m_SequentialWriteScore;
	double m_RandomRead512KBScore;
	double m_RandomWrite512KBScore;
	double m_RandomRead64KBScore;
	double m_RandomWrite64KBScore;

	void SetMeter(CString ElementName, double Score);
	void UpdateMessage(CString ElementName, CString message);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV T|[g

	HRESULT OnButtonOK(IHTMLElement *pElement);
	HRESULT OnButtonCancel(IHTMLElement *pElement);
	HRESULT OnStop(IHTMLElement *pElement);
	HRESULT OnSequential(IHTMLElement *pElement);
	HRESULT OnSelectDrive(IHTMLElement *pElement);

	long m_DriveIndex;

// 
protected:
	HICON m_hIcon;

	// hCuXg{bNX̏
	void InitDrive(CString ElementName);


	// ꂽAbZ[W蓖Ċ֐
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnDocumentComplete(LPDISPATCH pDisp, LPCTSTR szUrl);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg LRESULT OnUpdateScore(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnUpdateMessage(WPARAM wParam, LPARAM lParam);

	afx_msg void OnExit();
	afx_msg void OnAboutDiskMark();

	DECLARE_MESSAGE_MAP()
	DECLARE_DHTML_EVENT_MAP()
};
