// DiskMarkDlg.cpp : t@C
//

#include "stdafx.h"
#include "DiskMark.h"
#include "DiskMarkDlg.h"
#include "DiskBench.h"

#include <math.h>
#include <exdispid.h>

#define MAX_METER_LENGTH 195

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CDiskMarkDlg _CAO

BEGIN_DHTML_EVENT_MAP(CDiskMarkDlg)
	DHTML_EVENT_ONCLICK(_T("ButtonOK"), OnButtonOK)
	DHTML_EVENT_ONCLICK(_T("ButtonCancel"), OnButtonCancel)
	DHTML_EVENT_ONCLICK(_T("Stop"), OnStop)
	DHTML_EVENT_ONCLICK(_T("Sequential"), OnSequential)
//	DHTML_EVENT_ONCLICK(_T("Drive"), OnSelectDrive)
	DHTML_EVENT_ONCHANGE(_T("Drive"), OnSelectDrive) // Ă΁EEE
END_DHTML_EVENT_MAP()

CDiskMarkDlg::CDiskMarkDlg(CWnd* pParent /*=NULL*/)
	: CDHtmlDialog(CDiskMarkDlg::IDD, NULL/*CDiskMarkDlg::IDH*/, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CDiskMarkDlg::DoDataExchange(CDataExchange* pDX)
{
	CDHtmlDialog::DoDataExchange(pDX);
	DDX_DHtml_SelectValue(pDX, "Drive", m_DriveValue);
	DDX_DHtml_SelectIndex(pDX, "Drive", m_DriveIndex);
}

BEGIN_MESSAGE_MAP(CDiskMarkDlg, CDHtmlDialog)
	//}}AFX_MSG_MAP
	ON_COMMAND(ID_FILE_EXIT, &CDiskMarkDlg::OnExit)
	ON_COMMAND(ID_HELP_ABOUTDISKMARK, OnAboutDiskMark)
	ON_MESSAGE(WM_USER_UPDATE_SCORE, OnUpdateScore)
	ON_MESSAGE(WM_USER_UPDATE_MESSAGE, OnUpdateMessage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// CDiskMarkDlg bZ[W nh

BOOL CDiskMarkDlg::OnInitDialog()
{
	CDHtmlDialog::OnInitDialog();

	// ̃_CAÕACRݒ肵܂BAvP[ṼC EBhE_CAOłȂꍇA
	//  Framework ́A̐ݒIɍs܂B
	SetIcon(m_hIcon, TRUE);			// 傫ACR̐ݒ
	SetIcon(m_hIcon, FALSE);		// ACR̐ݒ

	// TODO: ɒǉ܂B
	char tmp[MAX_PATH];
	char *ptrEnd;
	GetModuleFileName(NULL, tmp, MAX_PATH);
	if ( (ptrEnd = strrchr(tmp, '\\')) != NULL ) {*ptrEnd = '\0';}
	Navigate(_T("file://") + ((CDiskMarkApp*)AfxGetApp())->m_MainDialogPath);

	m_DriveIndex = 0;
	m_hThread = NULL;
	m_DiskBenchStatus = FALSE;

	return TRUE;  // tH[JXRg[ɐݒ肵ꍇATRUE Ԃ܂B
}

HRESULT CDiskMarkDlg::OnSelectDrive(IHTMLElement *pElement)
{
	UpdateData(TRUE);
	AfxMessageBox(m_DriveValue);
	return 0;
}


LRESULT CDiskMarkDlg::OnUpdateScore(WPARAM wParam, LPARAM lParam)
{
	UpdateScore();
	return 0;
}


// _CAOɍŏ{^ǉꍇAACR`悷邽߂
//  ̃R[hKvłBhLg/r[ fg MFC AvP[V̏ꍇA
//  ́AFramework ɂĎIɐݒ肳܂B

void CDiskMarkDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // `̃foCX ReLXg

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// NCAg̎lp`̈̒
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// ACR̕`
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDHtmlDialog::OnPaint();
	}
}

// [U[ŏEBhEhbOĂƂɕ\J[\擾邽߂ɁA
//  VXe̊֐Ăяo܂B
HCURSOR CDiskMarkDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

HRESULT CDiskMarkDlg::OnButtonOK(IHTMLElement* /*pElement*/)
{
	// OnOK();
	return S_OK;
}

HRESULT CDiskMarkDlg::OnButtonCancel(IHTMLElement* /*pElement*/)
{
	OnCancel();
	return S_OK;
}

void CDiskMarkDlg::OnExit()
{
	OnCancel();
}

void CDiskMarkDlg::OnAboutDiskMark()
{
	AfxMessageBox(_T("CrystalDiskMark 2007 Alpha"));
}

void CDiskMarkDlg::OnCancel()
{
	if(m_DiskBenchStatus){
		m_DiskBenchStatus = FALSE;
		WaitForSingleObject(m_hThread, 1000 * 10);
	}
	CDialog::OnCancel();
}

void CDiskMarkDlg::InitScore()
{
	m_SequentialReadScore = 0.0;
	m_SequentialWriteScore = 0.0;
/*
	m_RandomRead512KBScore = 0.0;
	m_RandomWrite512KBScore = 0.0;
	m_RandomRead64KBScore = 0.0;
	m_RandomWrite64KBScore = 0.0;
*/
	UpdateScore();
}

void CDiskMarkDlg::UpdateScore()
{
	SetMeter(_T("SequentialRead"), m_SequentialReadScore);
	SetMeter(_T("SequentialWrite"), m_SequentialWriteScore);
/*
	SetMeter(_T("RandomRead512KB"), m_RandomRead512KBScore);
	SetMeter(_T("RandomWrite512KB"), m_RandomWrite512KBScore);
	SetMeter(_T("RandomRead64KB"), m_RandomRead64KBScore);
	SetMeter(_T("RandomWrite64KB"), m_RandomWrite64KBScore);
*/
}

HRESULT CDiskMarkDlg::OnSequential(IHTMLElement* /*pElement*/)
{
	UpdateData(TRUE);

	if(m_hThread == NULL){
		InitScore();
		m_DiskBenchStatus = TRUE;
		m_hThread = (unsigned long *)_beginthread(ExecDiskBench, 0, (void*)this);
		if(m_hThread == NULL){
			m_DiskBenchStatus = FALSE;
		}
	}
	return S_FALSE;
}

HRESULT CDiskMarkDlg::OnStop(IHTMLElement* /*pElement*/)
{
	if(m_DiskBenchStatus){
		m_DiskBenchStatus = FALSE;
		WaitForSingleObject(m_hThread, 1000 * 10);
	}

	return S_FALSE;
}

LRESULT CDiskMarkDlg::OnUpdateMessage(WPARAM wParam, LPARAM lParam)
{
	CString cstr;
	cstr = *((CString*)wParam);
	UpdateMessage(_T("Message"), cstr);

	return 0;
}

void CDiskMarkDlg::UpdateMessage(CString ElementName, CString message)
{
	CComBSTR bstr;
	bstr = "&nbsp;" + message;
	SetElementHtml(ElementName, bstr);
}

/******************************************************
쐬F2007/1/28
eF[^[ђlݒ肷B
******************************************************/

void CDiskMarkDlg::SetMeter(CString ElementName, double Score)
{
	IHTMLStyle *phtmlStyle = NULL;
	IHTMLElement *phtmlElement = NULL;
	HRESULT hr;
	CComBSTR bstr;
	CString cstr;
	VARIANT va;

	hr = GetElementInterface(ElementName, IID_IHTMLElement, (void **) &phtmlElement);
	if(hr != S_OK){
		return ;
	}

	phtmlElement->get_style(&phtmlStyle);

	if (phtmlStyle)
	{
		// [^[̐ݒ
		int MeterLength;
		MeterLength = (int)(MAX_METER_LENGTH / 3 * log10(Score));
		if(MeterLength > MAX_METER_LENGTH){
			MeterLength = MAX_METER_LENGTH;
		}else if(MeterLength < 1){
			MeterLength = 0;
		}

		cstr.Format("%dpx", -1 * (MAX_METER_LENGTH - MeterLength));
		bstr = cstr;
		va.vt = VT_BSTR;
		va.bstrVal = bstr;
		phtmlStyle->put_backgroundPositionX(va);
		phtmlStyle->Release();
		phtmlStyle = NULL;
	}


/* 摜 */
/*
	CString cstr2;
	int keta[4] = {0};
	int score = 0;
	int i;
	if(Score > 10000){
		score = 9999;
	}else{
		score = (int)Score;
	}
	keta[3] = score / 1000;
	score = score % 1000;
	keta[2] = score / 100;
	score = score % 100;
	keta[1] = score / 10;
	score = score % 10;
	keta[0] = score;

	if(score > 999){
		i = 3;
	}else{
		i = 2;
	}
	for(;i >= 0;i--){
		cstr.Format("<img src=\"%d.png\" />", keta[i]);
		cstr2 += cstr;
	}
	bstr = cstr2;

	phtmlElement->put_innerHTML(bstr);
*/
/*  */
	cstr.Format("&nbsp;%.1f", Score);
	bstr = cstr;
	phtmlElement->put_innerHTML(bstr);

	UpdateData(FALSE);
}

void CDiskMarkDlg::OnDocumentComplete(LPDISPATCH pDisp, LPCTSTR szUrl)
{
	CString cstr;
	cstr = szUrl;
	if(cstr.FindOneOf("Main") != -1){
		UpdateMessage(_T("Message"), _T("CrystalDiskMark 2007 Alpha"));
		InitDrive("Drive");
		InitScore();
	}
}

/******************************************************
쐬F2007/1/28
eFhCuXg{bNXB
******************************************************/

void CDiskMarkDlg::InitDrive(CString ElementName)
{
	IHTMLElement *phtmlElement;
	HRESULT hr;
	CComBSTR bstr;
	CString cstr;
	CString select;

	hr = GetElementInterface(ElementName, IID_IHTMLElement, (void **) &phtmlElement);
	if(hr != S_OK && phtmlElement == NULL){
		return ;
	}

	// LȃhCuXgAbv
	char  szDrives[128];
	char* pDrive;
	char RootPath[4];
	char FileSystem[32];
	GetLogicalDriveStrings(sizeof(szDrives), szDrives);
	pDrive = szDrives;

	select = "<select name=\"Drive\" id=\"Drive\">\n";
	while( *pDrive )
	{
		FileSystem[0] = '\0';
		_strupr(pDrive);// 啶ɕϊ
		int result = GetDriveType(pDrive);
		if((result == DRIVE_REMOVABLE) && (pDrive[0] == 'A' || pDrive[0] == 'B'))
		{
			pDrive += strlen(pDrive) + 1;
			continue;
		}
		int forward = (int)strlen( pDrive );
		pDrive[1] = '\0';
		cstr = "<option value=\"";
		cstr += pDrive;
		cstr += "\">";
		cstr += pDrive;
		cstr += ":";
		if(result == DRIVE_FIXED){
			RootPath[0] = pDrive[0];RootPath[1] = ':';RootPath[2] = '\\';RootPath[3] = '\0';
			GetVolumeInformation(RootPath,NULL,NULL,NULL,NULL,NULL,FileSystem,sizeof(FileSystem));
			cstr += "Hard Disk ["; cstr += FileSystem; cstr += "]";
			select += cstr;
		}else if(result == DRIVE_REMOTE){
			RootPath[0] = pDrive[0];RootPath[1] = ':';RootPath[2] = '\\';RootPath[3] = '\0';
			GetVolumeInformation(RootPath,NULL,NULL,NULL,NULL,NULL,FileSystem,sizeof(FileSystem));
			cstr += "Remote ["; cstr += FileSystem; cstr += "]";
			select += cstr;
		}else if(result == DRIVE_REMOVABLE){
			RootPath[0] = pDrive[0];RootPath[1] = ':';RootPath[2] = '\\';RootPath[3] = '\0';
			GetVolumeInformation(RootPath,NULL,NULL,NULL,NULL,NULL,FileSystem,sizeof(FileSystem));
			cstr += "Removable ["; cstr += FileSystem; cstr += "]";
			select += cstr;
		}else if(result == DRIVE_RAMDISK){
			RootPath[0] = pDrive[0];RootPath[1] = ':';RootPath[2] = '\\';RootPath[3] = '\0';
			GetVolumeInformation(RootPath,NULL,NULL,NULL,NULL,NULL,FileSystem,sizeof(FileSystem));
			cstr += "Ram Disk ["; cstr += FileSystem; cstr += "]";
			select += cstr;
		}else{
			cstr += "Unknown";
		}

		cstr += "</option>\n";
		pDrive += forward + 1;
	}

	select += "</select>";

	bstr = select;
	phtmlElement->put_outerHTML(bstr);
	UpdateData(FALSE);
}